VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::Storage Interface Reference

`Storage` is a resource that represents a specific instance of a file stored on a storage backing. More...

Inherited by vmware::content::library::item::StorageStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > | Get (string libraryItemId, string fileName)
| Retrieves the storage information for a specific file in a library item.
global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > | Get (string libraryItemId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the storage information for a specific file in a library item.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > > | GetAsync (string libraryItemId, string fileName)
| Retrieves the storage information for a specific file in a library item.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > > | GetAsync (string libraryItemId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the storage information for a specific file in a library item.
global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > | List (string libraryItemId)
| Lists all storage items for a given library item.
global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > | List (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists all storage items for a given library item.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > > | ListAsync (string libraryItemId)
| Lists all storage items for a given library item.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > > | ListAsync (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists all storage items for a given library item.

## Detailed Description

`Storage` is a resource that represents a specific instance of a file stored on a storage backing.

Unlike File , which is abstract, storage represents concrete files on the various storage backings. A file is only represented once in File , but will be represented multiple times (once for each storage backing) in `Storage` . The `Storage` interface provides information on the storage backing and the specific location of the file in that backing to privileged users who want direct access to the file on the storage medium.

## Member Function Documentation

global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> vmware::content::library::item::Storage::Get | ( | string | libraryItemId,
|  | string | fileName
| ) |  |

Retrieves the storage information for a specific file in a library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.NotFound | if the specified file does not exist in the given library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be retrieved. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  fileName | Name of the file for which the storage information should be listed.

Returns:
  The list of all the storage items for the given file within the given library item.

Implemented in vmware::content::library::item::StorageStub.

global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> vmware::content::library::item::Storage::Get | ( | string | libraryItemId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves the storage information for a specific file in a library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.NotFound | if the specified file does not exist in the given library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be retrieved. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  fileName | Name of the file for which the storage information should be listed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all the storage items for the given file within the given library item.

Implemented in vmware::content::library::item::StorageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> > vmware::content::library::item::Storage::GetAsync | ( | string | libraryItemId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves the storage information for a specific file in a library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.NotFound | if the specified file does not exist in the given library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be retrieved. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  fileName | Name of the file for which the storage information should be listed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all the storage items for the given file within the given library item.

Implemented in vmware::content::library::item::StorageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> > vmware::content::library::item::Storage::GetAsync | ( | string | libraryItemId,
|  | string | fileName
| ) |  |

Retrieves the storage information for a specific file in a library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.NotFound | if the specified file does not exist in the given library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be retrieved. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  fileName | Name of the file for which the storage information should be listed.

Returns:
  The list of all the storage items for the given file within the given library item.

Implemented in vmware::content::library::item::StorageStub.

global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> vmware::content::library::item::Storage::List | ( | string | libraryItemId | ) |

Lists all storage items for a given library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be listed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Returns:
  The list of all storage items for a given library item.

Implemented in vmware::content::library::item::StorageStub.

global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> vmware::content::library::item::Storage::List | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Lists all storage items for a given library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be listed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all storage items for a given library item.

Implemented in vmware::content::library::item::StorageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> > vmware::content::library::item::Storage::ListAsync | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Lists all storage items for a given library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be listed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all storage items for a given library item.

Implemented in vmware::content::library::item::StorageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> > vmware::content::library::item::Storage::ListAsync | ( | string | libraryItemId | ) |

Lists all storage items for a given library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be listed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Returns:
  The list of all storage items for a given library item.

Implemented in vmware::content::library::item::StorageStub.

The documentation for this interface was generated from the following file:

- content/library/item/Storage.cs